package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.WQInfoObject;

/**
 * This service is used to fetch a list of DistanceInfoObjects from artifact
 * server for a specific river.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
@RemoteServiceRelativePath("mainvalues")
public interface WQInfoService extends RemoteService {

    /**
     * This method returns a list of DistanceInfoObjects for a specific river.
     */
    WQInfoObject[] getWQInfo(
        String locale,
        String river,
        double start,
        double end)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
